libzypp 17.37.10

zyppng::SocketPrivate::ListeningState Struct Reference

`#include <zypp-core/zyppng/io/private/socket_p.h>`

Inheritance diagram for zyppng::SocketPrivate::ListeningState:

## Public Member Functions
| NON_COPYABLE (ListeningState)
| ListeningState ()=default

## Static Public Member Functions
static constexpr Socket::SocketState | type ()

## Public Attributes
SocketNotifier::Ptr | _socketNotifier

## Detailed Description

Definition at line 99 of file socket_p.h.

## Constructor & Destructor Documentation

## ◆ ListeningState()

zyppng::SocketPrivate::ListeningState::ListeningState | ( |  | ) |
| default

## Member Function Documentation

## ◆ NON_COPYABLE()

zyppng::SocketPrivate::ListeningState::NON_COPYABLE | ( | ListeningState |  | ) |

## ◆ type()

constexpr Socket::SocketState zyppng::SocketPrivate::ListeningState::type | ( |  | ) |
| inline static constexpr

Definition at line 102 of file socket_p.h.

## Member Data Documentation

## ◆ _socketNotifier

SocketNotifier::Ptr zyppng::SocketPrivate::ListeningState::_socketNotifier

Definition at line 103 of file socket_p.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/io/private/socket_p.h